Bug 234808 - www/elinks: Fix ssl initialization on newer openssl/libressl without EGD
Summary: www/elinks: Fix ssl initialization on newer openssl/libressl without EGD
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL: https://repo.or.cz/elinks.git/blobdif...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-09 23:47 UTC by Derek Schrock
Modified: 2019-02-27 07:24 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (beat)


Attachments
Allow RAND_file_name() to init. f_randfile (2.16 KB, patch)
2019-01-09 23:47 UTC, Derek Schrock
no flags Details | Diff
Allow RAND_file_name() to init. f_randfile (2.14 KB, patch)
2019-01-10 00:28 UTC, Derek Schrock
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Derek Schrock 2019-01-09 23:47:32 UTC
Created attachment 200969 [details]
Allow RAND_file_name() to init. f_randfile

For newer openssl/libressl when RAND_egd is disabled
patch-src_network_ssl_ssl.c removed RAND_egd() and the RAND_file_name()
leaving f_randfile uninitialized resulting odd files in $HOME/ when
elinks initialized ssl.

	$ ls -ld $'\x01'
	-rw-------  1 dereks  wheel  1024 Jan  9 18:24 ?

The file should be ~/.rnd set but RAND_file_name()

Fixed upstram is but this commit:
https://repo.or.cz/elinks.git/blobdiff/6eba447e8ae12cacac3b479c7148d189bea3e8ea..f4a58ba3b574a478fd5954ba2c5b29e8b809ff9b:/src/network/ssl/ssl.c
Comment 1 Derek Schrock 2019-01-10 00:02:36 UTC
Comment on attachment 200969 [details]
Allow RAND_file_name() to init. f_randfile

Ignore this patch.  Pulled from the wrong ports tree.
Comment 2 Derek Schrock 2019-01-10 00:28:10 UTC
Created attachment 200970 [details]
Allow RAND_file_name() to init. f_randfile

Updated ifndef
Comment 3 commit-hook freebsd_committer 2019-02-27 06:47:01 UTC
A commit references this bug:

Author: pi
Date: Wed Feb 27 06:45:58 UTC 2019
New revision: 494026
URL: https://svnweb.freebsd.org/changeset/ports/494026

Log:
  www/elinks: Fix ssl initialization on newer openssl/libressl without EGD

  PR:		234808
  Submitted by:	Derek Schrock <dereks@lifeofadishwasher.com>
  Approved by:	beat (maintainer timeout)
  Obtained from:	https://repo.or.cz/elinks.git/blobdiff/6eba447e8ae12cacac3b479c7148d189bea3e8ea..f4a58ba3b574a478fd5954ba2c5b29e8b809ff9b:/src/network/ssl/ssl.c
  MFH:		2019Q1

Changes:
  head/www/elinks/files/patch-src_network_ssl_ssl.c
Comment 4 Kurt Jaeger freebsd_committer 2019-02-27 07:24:20 UTC
Committed, thanks!
Comment 5 commit-hook freebsd_committer 2019-02-27 07:24:36 UTC
A commit references this bug:

Author: pi
Date: Wed Feb 27 07:23:49 UTC 2019
New revision: 494029
URL: https://svnweb.freebsd.org/changeset/ports/494029

Log:
  MFH: r494026

  www/elinks: Fix ssl initialization on newer openssl/libressl without EGD

  PR:		234808
  Submitted by:	Derek Schrock <dereks@lifeofadishwasher.com>
  Approved by:	beat (maintainer timeout)
  Obtained from:	https://repo.or.cz/elinks.git/blobdiff/6eba447e8ae12cacac3b479c7148d189bea3e8ea..f4a58ba3b574a478fd5954ba2c5b29e8b809ff9b:/src/network/ssl/ssl.c
  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2019Q1/
  branches/2019Q1/www/elinks/files/patch-src_network_ssl_ssl.c